org.apache.storm.sql.planner.rel

## Class StormStreamScanRelBase

- java.lang.Object
- - org.apache.calcite.rel.AbstractRelNode
  - - org.apache.calcite.rel.core.TableScan
    - - org.apache.storm.sql.planner.rel.StormStreamScanRelBase

- All Implemented Interfaces:
    Cloneable, org.apache.calcite.plan.RelOptNode, org.apache.calcite.rel.RelNode, StormRelNode
  Direct Known Subclasses:
    StreamsStreamScanRel

      public abstract class StormStreamScanRelBase
      extends org.apache.calcite.rel.core.TableScan
      implements StormRelNode

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.calcite.rel.RelNode

      `org.apache.calcite.rel.RelNode.Context`

  - ### Field Summary

    - ### Fields inherited from class org.apache.calcite.rel.core.TableScan

      `table`

    - ### Fields inherited from class org.apache.calcite.rel.AbstractRelNode

      `digest, id, rowType, traitSet`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `StormStreamScanRelBase(org.apache.calcite.plan.RelOptCluster cluster, org.apache.calcite.plan.RelTraitSet traitSet, org.apache.calcite.plan.RelOptTable table)`

  - ### Method Summary

    - ### Methods inherited from class org.apache.calcite.rel.core.TableScan

      `accept, computeSelfCost, deriveRowType, estimateRowCount, explainTerms, getCollationList, getTable, identity, identity, project`

    - ### Methods inherited from class org.apache.calcite.rel.AbstractRelNode

      `accept, childrenAccept, collectVariablesSet, collectVariablesUsed, computeDigest, computeSelfCost, copy, explain, getChildExps, getCluster, getConvention, getCorrelVariable, getDescription, getDigest, getExpectedInputRowType, getId, getInput, getInputs, getQuery, getRelTypeName, getRows, getRowType, getTraitSet, getVariablesSet, getVariablesStopped, isDistinct, isKey, isValid, isValid, metadata, onRegister, recomputeDigest, register, replaceInput, sole, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.calcite.rel.RelNode

      `accept, accept, childrenAccept, collectVariablesSet, collectVariablesUsed, computeSelfCost, computeSelfCost, copy, estimateRowCount, explain, getChildExps, getCollationList, getConvention, getCorrelVariable, getExpectedInputRowType, getInput, getInputs, getQuery, getRelTypeName, getRows, getRowType, getTable, getVariablesSet, getVariablesStopped, isDistinct, isKey, isValid, isValid, metadata, onRegister, recomputeDigest, register, replaceInput`

    - ### Methods inherited from interface org.apache.calcite.plan.RelOptNode

      `getCluster, getDescription, getDigest, getId, getTraitSet`

- - ### Constructor Detail

    - #### StormStreamScanRelBase

          protected StormStreamScanRelBase(org.apache.calcite.plan.RelOptCluster cluster,
                                           org.apache.calcite.plan.RelTraitSet traitSet,
                                           org.apache.calcite.plan.RelOptTable table)

Copyright © 2021 The Apache Software Foundation. All rights reserved.